/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xl.h"


L_CHAR *
get_symbol_field(XL_SEXP * sym,L_CHAR * field_name)
{
XL_SYM_FIELD * sf;
	if ( get_type(sym) != XLT_SYMBOL )
		return 0;
	for ( sf = sym->symbol.field ; sf ; sf = sf->next )
		if ( l_strcmp(sf->name,field_name) == 0 )
			return sf->data;
	return 0;
}
